require("scripts/button.lua")
require("scripts/ui.lua")
socket = require("socket")


-- , ,   .
function love.load()

systems = {}

font = {	large = love.graphics.newFont("/fonts/Handel.ttf",55),
			huge = love.graphics.newFont("/fonts/Handel.ttf",82),
			chat = love.graphics.newFont("/fonts/Handel.ttf",24),
			chat_huge = love.graphics.newFont("/fonts/Handel.ttf",72),
			letters = love.graphics.newFont("/fonts/Handel.ttf",42)
			}

graphics = {back = love.graphics.newImage("/images/back.jpg"),
			menu_main = love.graphics.newImage("/images/menus/menu_main.png"),
			menu_play = love.graphics.newImage("/images/menus/menu_play.png"),
			menu_rules = love.graphics.newImage("/images/menus/menu_rules.png"),
			rules_text = love.graphics.newImage("/images/rules.png"),
			menu_pause = love.graphics.newImage("/images/menus/menu_pause.png"),
			menu_chat = love.graphics.newImage("/images/menus/menu_chat.png"),
			unit = love.graphics.newImage("/images/unit.png"),
			pause = love.graphics.newImage("/images/pause.png"),
			hole_lastball = love.graphics.newImage("/images/field_lastball.png"),
			menu_winner = love.graphics.newImage("/images/menus/menu_winner.png"),
			fullscreen = love.graphics.newImage("/images/fullscreen.png"),
			menu_options = love.graphics.newImage("/images/menus/menu_options.png"),
			menu_ingame = love.graphics.newImage("/images/menus/menu_ingame.png"),
			connection_port = love.graphics.newImage("/images/connection_port.png"),
			host_ip = love.graphics.newImage("/images/host_ip.png"),

			play_button = love.graphics.newImage("/images/buttons/play_button.png"),
			options_button = love.graphics.newImage("/images/buttons/options_button.png"),
			rules_button = love.graphics.newImage("/images/buttons/rules_button.png"),
			credits_button = love.graphics.newImage("/images/buttons/credits_button.png"),
			quit_button = love.graphics.newImage("/images/buttons/quit_button.png"),
			back_button = love.graphics.newImage("/images/buttons/back_button.png"),
			resume_button = love.graphics.newImage("/images/buttons/resume_button.png"),
			singame_button = love.graphics.newImage("/images/buttons/singame_button.png"),
			online_button = love.graphics.newImage("/images/buttons/online_button.png"),
			hole = love.graphics.newImage("/images/field.png"),
			arrow_left_button = love.graphics.newImage("/images/buttons/arrow_left_button.png"),
			arrow_right_button = love.graphics.newImage("/images/buttons/arrow_right_button.png"),
			create_button = love.graphics.newImage("/images/buttons/create_button.png"),
			connect_button = love.graphics.newImage("/images/buttons/connect_button.png"),
			text_input_border = love.graphics.newImage("/images/buttons/text_input_border.png"),
			port_input = love.graphics.newImage("/images/buttons/port_input.png"),
			host_ip_input = love.graphics.newImage("/images/buttons/host_ip_input.png"),

			play_button_hover = love.graphics.newImage("/images/buttons/play_button_hover.png"),
			options_button_hover = love.graphics.newImage("/images/buttons/options_button_hover.png"),
			rules_button_hover = love.graphics.newImage("/images/buttons/rules_button_hover.png"),
			credits_button_hover = love.graphics.newImage("/images/buttons/credits_button_hover.png"),
			quit_button_hover = love.graphics.newImage("/images/buttons/quit_button_hover.png"),
			back_button_hover = love.graphics.newImage("/images/buttons/back_button_hover.png"),
			resume_button_hover = love.graphics.newImage("/images/buttons/resume_button_hover.png"),
			singame_button_hover = love.graphics.newImage("/images/buttons/singame_button_hover.png"),
			online_button_hover = love.graphics.newImage("/images/buttons/online_button_hover.png"),
			hole_hover = love.graphics.newImage("/images/field_hover.png"),
			arrow_left_button_hover = love.graphics.newImage("/images/buttons/arrow_left_button_hover.png"),
			arrow_right_button_hover = love.graphics.newImage("/images/buttons/arrow_right_button_hover.png"),
			create_button_hover = love.graphics.newImage("/images/buttons/create_button_hover.png"),
			connect_button_hover = love.graphics.newImage("/images/buttons/connect_button_hover.png"),
			text_input_border_hover = love.graphics.newImage("/images/buttons/text_input_border_hover.png"),
			port_input_hover = love.graphics.newImage("/images/buttons/port_input_hover.png"),
			host_ip_input_hover = love.graphics.newImage("/images/buttons/host_ip_input_hover.png")
			}




----------------------------
	audio = true
	state = Menu.create()
	--love.audio.play(music["default"], 0)

end


-------------------------------------------------
function love.mousepressed(x, y, button)
	state:mousepressed(x,y,button)
end

------------------------------------------------
function love.keypressed(key)
	state:keypressed(key)
end


-------------------------------------------------
function love.update(dt)
    state:update(dt)
end

-------------------------------------------------
function love.draw()
   state:draw()
end
