

Button = {}
Button.__index = Button

function Button.create(img,x,y,limx,limy,shiftx,shifty,hovershiftx,hovershifty)
	local temp = {}
	setmetatable(temp, Button)
	temp.hover = false
	temp.click = false
	temp.width = limx
	temp.height = limy
	temp.x = x
	temp.y = y
	temp.img=img
	temp.shiftx=shiftx
	temp.shifty=shifty
	temp.hovershiftx=hovershiftx
	temp.hovershifty=hovershifty
	return temp

end

function Button:draw(img,x,y)
local img_hover
	if img==graphics.play_button then img_hover=graphics.play_button_hover
		elseif img==graphics.rules_button then img_hover=graphics.rules_button_hover
		elseif img==graphics.options_button then img_hover=graphics.options_button_hover
		elseif img==graphics.credits_button then img_hover=graphics.credits_button_hover
		elseif img==graphics.quit_button then img_hover=graphics.quit_button_hover
		elseif img==graphics.back_button then img_hover=graphics.back_button_hover
		elseif img==graphics.resume_button then img_hover=graphics.resume_button_hover
		elseif img==graphics.singame_button then img_hover=graphics.singame_button_hover
		elseif img==graphics.online_button then img_hover=graphics.online_button_hover
		elseif img==graphics.hole then img_hover=graphics.hole_hover
		elseif img==graphics.arrow_left_button then img_hover=graphics.arrow_left_button_hover
		elseif img==graphics.arrow_right_button then img_hover=graphics.arrow_right_button_hover
		elseif img==graphics.create_button then img_hover=graphics.create_button_hover
		elseif img==graphics.connect_button then img_hover=graphics.connect_button_hover
		elseif img==graphics.text_input_border then img_hover=graphics.text_input_border_hover
		elseif img==graphics.port_input then img_hover=graphics.port_input_hover
		elseif img==graphics.host_ip_input then img_hover=graphics.host_ip_input_hover
	end

	if self.hover then love.graphics.draw(img_hover, x-15-self.hovershiftx, y-5-self.hovershifty)
	else love.graphics.draw(img, x, y) end

end

function Button:update(dt)

	self.hover = false

	local x = love.mouse.getX()
	local y = love.mouse.getY()


	if x > self.x-10
		and x < self.x + self.width+self.shiftx
		and y > self.y
		and y < self.y+self.height then
		self.hover = true
	end


end

function Button:mousepressed(x, y, button)

	if self.hover then
		if self.img==graphics.text_input_border then
		input=true
		elseif self.img==graphics.port_input then
		port_input=true
		host_ip_input=false
		elseif self.img==graphics.host_ip_input then
		host_ip_input=true
		port_input=false
		end
		return true
	end

	return false
end

